Page MenuHomePhabricator

Switch ores precache to use new EventStreams
Closed, ResolvedPublic

Description

Currently, ores precache uses the old rcstream system based on socket IO (https://wikitech.wikimedia.org/wiki/RCStream) This is going to be deprecated.

EventStreams is going to take its place. https://wikitech.wikimedia.org/wiki/EventStreams

Event Timeline

Halfak created this task.May 22 2017, 12:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 22 2017, 12:00 PM
Halfak triaged this task as Normal priority.Jun 1 2017, 2:54 PM
Halfak moved this task from Untriaged to New development on the Scoring-platform-team board.
Halfak added a project: good first bug.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptJun 1 2017, 2:54 PM
Halfak assigned this task to Ladsgroup.Jun 1 2017, 2:55 PM
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJun 1 2017, 2:55 PM
Halfak claimed this task.Jun 28 2017, 10:18 PM
Halfak added a subscriber: Ladsgroup.
Halfak added a subscriber: Pchelolo.

@Pchelolo says we should be able to get the right events from https://stream.wikimedia.org/v2/stream/revision-create

Halfak closed this task as Resolved.Jul 12 2017, 10:49 PM